1MSG
ReferenceInbox API

People who can be assigned on this channel

GET
/api/v1/inbox/channels/{channelId}/assignees

The account owner, plus operators who already have this channel. Use the returned id as userId when assigning a conversation.

Authorization

bearer
headerAuthorizationBearer <token>

Key issued in Settings → Developer → API key. Inbox methods need the Inbox scope. Campaigns methods need the Campaigns scope.

Path Parameters

channelId*string

Channel id from GET /inbox/channels

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://api.1msg.io/api/v1/inbox/channels/QAF261225002/assignees'
[  {    "id": "b2bb82f0-2253-4e05-b955-a21f3d699caa",    "name": "QA Stage",    "avatar": null,    "role": "OPERATOR"  }]